
From: Li Shaohua <shaohua.li@intel.com>

Only IA32 support SMP suspend now.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/acpi/Kconfig    |    2 +-
 include/linux/suspend.h |    2 +-
 kernel/power/Kconfig    |    6 +++++-
 kernel/power/Makefile   |    6 +++---
 4 files changed, 10 insertions(+), 6 deletions(-)

diff -puN drivers/acpi/Kconfig~suspend-resume-smp-support-fix-2 drivers/acpi/Kconfig
--- 25/drivers/acpi/Kconfig~suspend-resume-smp-support-fix-2	2005-05-31 16:37:02.000000000 -0700
+++ 25-akpm/drivers/acpi/Kconfig	2005-05-31 16:37:15.000000000 -0700
@@ -55,7 +55,7 @@ if ACPI_INTERPRETER
 
 config ACPI_SLEEP
 	bool "Sleep States (EXPERIMENTAL)"
-	depends on X86 && (!SMP || HOTPLUG_CPU)
+	depends on X86 && (!SMP || SUSPEND_SMP)
 	depends on EXPERIMENTAL && PM
 	default y
 	---help---
diff -puN include/linux/suspend.h~suspend-resume-smp-support-fix-2 include/linux/suspend.h
--- 25/include/linux/suspend.h~suspend-resume-smp-support-fix-2	2005-05-31 16:37:02.000000000 -0700
+++ 25-akpm/include/linux/suspend.h	2005-05-31 16:37:02.000000000 -0700
@@ -58,7 +58,7 @@ static inline int software_suspend(void)
 }
 #endif
 
-#ifdef CONFIG_HOTPLUG_CPU
+#ifdef CONFIG_SUSPEND_SMP
 extern void disable_nonboot_cpus(void);
 extern void enable_nonboot_cpus(void);
 #else
diff -puN kernel/power/Kconfig~suspend-resume-smp-support-fix-2 kernel/power/Kconfig
--- 25/kernel/power/Kconfig~suspend-resume-smp-support-fix-2	2005-05-31 16:37:02.000000000 -0700
+++ 25-akpm/kernel/power/Kconfig	2005-05-31 16:37:02.000000000 -0700
@@ -28,7 +28,7 @@ config PM_DEBUG
 
 config SOFTWARE_SUSPEND
 	bool "Software Suspend (EXPERIMENTAL)"
-	depends on EXPERIMENTAL && PM && SWAP && (HOTPLUG_CPU || !SMP)
+	depends on EXPERIMENTAL && PM && SWAP && (SUSPEND_SMP || !SMP)
 	---help---
 	  Enable the possibility of suspending the machine.
 	  It doesn't need APM.
@@ -72,3 +72,7 @@ config PM_STD_PARTITION
 	  suspended image to. It will simply pick the first available swap 
 	  device.
 
+config SUSPEND_SMP
+	bool
+	depends on HOTPLUG_CPU && X86 && PM
+	default y
diff -puN kernel/power/Makefile~suspend-resume-smp-support-fix-2 kernel/power/Makefile
--- 25/kernel/power/Makefile~suspend-resume-smp-support-fix-2	2005-05-31 16:37:02.000000000 -0700
+++ 25-akpm/kernel/power/Makefile	2005-05-31 16:37:02.000000000 -0700
@@ -3,9 +3,9 @@ ifeq ($(CONFIG_PM_DEBUG),y)
 EXTRA_CFLAGS	+=	-DDEBUG
 endif
 
-swsusp-smp-$(CONFIG_SMP)	+= smp.o
-
 obj-y				:= main.o process.o console.o pm.o
-obj-$(CONFIG_SOFTWARE_SUSPEND)	+= swsusp.o $(swsusp-smp-y) disk.o
+obj-$(CONFIG_SOFTWARE_SUSPEND)	+= swsusp.o disk.o
+
+obj-$(CONFIG_SUSPEND_SMP)	+= smp.o
 
 obj-$(CONFIG_MAGIC_SYSRQ)	+= poweroff.o
_
